Skip links

CVE-2020-6257 Cross-Site Scripting (XSS) vulnerability in SAP Business Objects Business Intelligence Platform (CMC and BI launchpad), SAP security note 2907781

Description

SAP Business Objects Business Intelligence Platform (CMC and BILaunchpad) does not sufficiently encode user controlled inputs, resulting in Cross-Site Scripting vulnerability. Attacker needs some privileges for successful exploitaion.

Some well-known impacts of Cross-Site Scripting vulnerability are –

  • non-permanently deface or modify displayed content from a Web site
  • steal authentication information of the user, such as data relating to his or her current session
  • impersonate the user and access all information with the same rights as the target user 

Available fix and Supported packages

  • ENTERPRISE | 420 | 420
  • SBOP BI PLATFORM SERVERS 4.2 | SP007 | 001000
  • SBOP BI PLATFORM SERVERS 4.2 | SP008 | 000000

Affected component

    BI-RA-WBI
    Web Intelligence

CVSS

Score: 5.4
CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/2907781

TAGS

#XSS
#Stored-XSS
#ToolTip
#CMC
#BI-Launchpad
#mouseover
#&160-CVE-2020-6257&160